API Reference
Trigger price sync from all DB sources
Manually triggers a full price sync from:
- Price Oracle DB: PAX native price (candle close)
- DEX Subgraph DB: All DEX market spot prices
- Hardcoded: Stablecoin prices fixed at $1.00
Prices are stored in the Portfolio DB and used for portfolio valuations. This runs automatically every 30 seconds.
Response Body
application/json
text/plain
curl -X POST "https://us-east-1.user-stats.sidiora.exchange/api/v1/prices/sync"{
"success": true,
"total_tokens": 90,
"updated": 90,
"by_source": {
"network": 86,
"stablecoin": 4
},
"native_pax_price": "10.8558331254187000"
}"string"Subscribe for events via WebSocket. GET
NOTE: if you're not reading events fast enough, Tendermint might terminate the subscription.
Trigger token metadata sync from Paxscan POST
Manually triggers a full sync of token metadata from the Paxscan block explorer database. This runs automatically every 5 minutes but can be triggered on-demand.